(function ($) {
  ("use strict");
  var GluedInSDKObject = window.GluedIn;
  var GluedInSDKInitilizeObj = new GluedInSDKObject.GluedInSDKInitilize();
  var GluedInSDKAuthObj = new GluedInSDKObject.GluedInAuthModule();
  var activityTimelineAssets = [];
  var reportReasonContent = { user: [] };
  var limit = 10;
  var offset = 1;
  var totalPages = 0;
  var pageNo = 1;
  $(document).ready(function () {
    /*var guestToken = GluedInSDKAuthObj.getGuestToken();
  if(guestToken == "" || guestToken == undefined) {
    var sdkInitilizeData = GluedInSDKInitilizeObj.setupSDK({
      apiKey: "190b48a3-d684-46b7-93fd-a0f46433b8df",
        secretKey: "dad52101-ecce-4dc5-b014-aa656a8fc1a4"
      });
      console.log(JSON.stringify(sdkInitilizeData));
      console.log("Test");
  }*/
    $(".screen-loader").show();
    window.activityTimelineList = async function () {
      var activityTimelineModuleObj =
        new GluedInSDKObject.GluedInActivityTimeline();
      var activityTimelineVideoList =
        await activityTimelineModuleObj.getActivityTimelineList({
          event: "like",
          limit: limit,
          offset: offset,
        });

      $(".screen-loader").hide();
      if (activityTimelineVideoList.data.statusCode == 200) {
        totalPages = Math.ceil(activityTimelineVideoList.data.total / limit);
        var activityTimelineContentHtml = "";
        var currentActivityVideoList = activityTimelineVideoList.data.data;
        activityTimelineAssets = currentActivityVideoList.map(
          ({ metakeys }) => ({
            ...metakeys,
          })
        );
        currentActivityVideoList.forEach(function (activityInfo) {
          let thumbnailUrls = activityInfo.metakeys.thumbnailUrls
            ? activityInfo.metakeys.thumbnailUrls[0]
            : activityInfo.metakeys.thumbnailUrl;
          activityTimelineContentHtml +=
            '<div class="col-md-3 col-sm-3 col-xs-6 box text-center"><div class="img-box open-video-detail" assetId="' +
            activityInfo.assetId +
            '" style="background: url(' +
            thumbnailUrls +
            ') center; background-size: cover; max-height: 227px; height: 227px; border-radius:9px;"><span class="av-icon"><img src="https://gluedin.io/web-app//assets/images/folder-icon.svg"></span></div></div>';
        });

        $(".userVideoData").append(activityTimelineContentHtml);
        $("#tabs-content").show();
      }
    };
    $(window).scroll(function () {
      if (
        $(window).scrollTop() >=
        $(document).height() - $(window).height() - 50
      ) {
        if (totalPages > pageNo) {
          pageNo = offset + 1;
          offset = pageNo;
          activityTimelineList();
        }
      }
    });

    window.getActivityTimelineDetails = async function () {
      // activity timeline
      var activityTimelineModuleObj =
        new GluedInSDKObject.GluedInActivityTimeline();
      var activityTimelineList =
        await activityTimelineModuleObj.getActivityTimelineUserDetails({
          event: "post",
          limit: 10,
          offset: 1,
        });
      $(".screen-loader").hide();
      let activityTimelineInfo = activityTimelineList.data.data;

      $("#displayName").html(activityTimelineInfo.fullName);
      $("#userId").html(activityTimelineInfo.userName);
      $(".profileImage").attr("src", activityTimelineInfo.profileImageUrl);
      $("#likedCount").html(activityTimelineInfo.likeCount);
      $("#commentCount").html(activityTimelineInfo.commentCount);
      $("#sharedCount").html(activityTimelineInfo.shareCount);
      $(".profile-page-head").show();

      // ActivityTimeline Video List
    };

    getActivityTimelineDetails();
    activityTimelineList();

    $(document).on("click", ".open-video-detail", function () {
      localStorage.setItem("contentType", "activity-timeline");
      let assetId = $(this).attr("assetId");
      localStorage.setItem("selectedVideo", assetId);
      let assetsData = localStorage.setItem(
        "videoList",
        JSON.stringify(activityTimelineAssets)
      );
      window.location.href = "https://gluedin.io/web-app//feed-detail.html";
    });

    const toBase64 = (file) =>
      new Promise((resolve, reject) => {
        const reader = new FileReader();
        reader.readAsDataURL(file);
        reader.onload = () => resolve(reader.result);
        reader.onerror = (error) => reject(error);
      });
  });
})(jQuery);
