var navLeft = document.getElementById("nav-left"),
    navRight = document.getElementById("nav-right"),
    caseStudyDotLinks = document.querySelectorAll("#dots .dot");
function getNextAndPrevDots() {
    var t = [],
        e = document.querySelector("#dots .dot.active");
    return (
        caseStudyDotLinks.forEach(function (e) {
            "none" !== window.getComputedStyle(e).display && t.push(e);
        }),
        { next: -1 < t.indexOf(e.nextElementSibling) ? e.nextElementSibling : t[0], prev: -1 < t.indexOf(e.previousElementSibling) ? e.previousElementSibling : t.pop() }
    );
}



navLeft &&
    navLeft.addEventListener("click", function (e) {
        var t = getNextAndPrevDots();
        t.prev ? scrollAnchors(e, t.prev.getAttribute("href")) : e.preventDefault();
    }),
    navRight &&
        navRight.addEventListener("click", function (e) {
            var t = getNextAndPrevDots();
            t.next ? scrollAnchors(e, t.next.getAttribute("href")) : e.preventDefault();
        }),
    caseStudyDotLinks.forEach(function (e) {
        e.addEventListener("click", scrollAnchors);
    });
var faqs = document.querySelectorAll("#faqs .faq");
function onReady(e) {
    (document.attachEvent && "complete" === document.readyState) || "loading" !== document.readyState ? e() : document.addEventListener("DOMContentLoaded", e);
}
function setImgWidth(e) {
    var t = e.querySelector(".cmp-img img"),
        e = e.clientWidth + "px";
    t && (t.style.width = e);
}
function initImgCmp(d, u, m) {
    function h() {
        d.classList.remove("draggable"), u.classList.remove("resizable");
    }
    function e(e) {
        d.classList.add("draggable"), u.classList.add("resizable");
        var t = e.pageX || e.originalEvent.touches[0].pageX,
            n = d.clientWidth,
            o = m.offsetLeft,
            i = m.clientWidth,
            a = o + d.offsetLeft + n - t,
            c = o + 36,
            r = o + i - n - 36;
        function s() {
            d.parentElement.removeEventListener("mousemove", l),
                d.parentElement.removeEventListener("touchmove", l),
                document.removeEventListener("mouseup", s),
                document.removeEventListener("touchend", s),
                document.removeEventListener("touchcancel", s),
                h();
        }
        function l(e) {
            e = (e.pageX || e.originalEvent.touches[0].pageX) + a - n;
            e < c ? (e = c) : r < e && (e = r);
            e = (100 * (e + n / 2 - o)) / i + "%";
            (d.style.left = e), (u.style.width = e), d.addEventListener("mouseup", s), d.addEventListener("touchend", s), d.addEventListener("touchcancel", s);
        }
        d.parentElement.addEventListener("mousemove", l),
            d.parentElement.addEventListener("touchmove", l),
            document.addEventListener("mouseup", s),
            document.addEventListener("touchend", s),
            document.addEventListener("touchcancel", s),
            e.preventDefault();
    }
    d.addEventListener("mousedown", e), d.addEventListener("touchstart", e), d.addEventListener("mouseup", h), d.addEventListener("touchend", h), d.addEventListener("touchcancel", h);
}
function getParentTab(e) {
    for (var t = e.parentElement; t.parentElement && !t.classList.contains("tab"); ) t = t.parentElement;
    return t.classList.contains("tab") ? t : null;
}
function contactUs(e) {
    e.preventDefault(), window.Intercom ? (this.dataset && this.dataset.message ? window.Intercom("showNewMessage", this.dataset.message) : window.Intercom("show")) : (window.location.href = "https://www.getsocial.im/contact-us/");
}
function scrollToTop(e) {
    var t = -window.scrollY / (e / 15),
        n = setInterval(function () {
            0 !== window.scrollY ? window.scrollBy(0, t) : clearInterval(n);
        }, 15);
}
function legalTabsHashSupport(e) {
    var t,
        n = window.location.hash || null,
        o = document.querySelectorAll(".tab-btn");
    n
        ? (o.forEach(function (e) {
              e.hash === n ? e.classList.add("active") : e.classList.remove("active");
          }),
          document.querySelectorAll(".tab").forEach(function (e) {
              e.id === n.substr(1) ? e.classList.add("active") : e.classList.remove("active");
          }))
        : (o.length &&
              (o.forEach(function (e) {
                  e.classList.remove("active");
              }),
              o.item(0).classList.add("active")),
          (t = document.querySelectorAll(".tab")).length &&
              (t.forEach(function (e) {
                  e.classList.remove("active");
              }),
              t.item(0).classList.add("active"))),
        e &&
            o.forEach(function (e) {
                e.addEventListener("click", function (e) {
                    window.history.pushState({}, "", e.target.href);
                });
            });
}
faqs.length &&
    faqs.forEach(function (e) {
        e.addEventListener("click", function () {
            this.classList.toggle("expanded");
        });
    }),
    onReady(function () {
        document.querySelectorAll(".cmp-slider").forEach(function (e) {
            var t = e.querySelector(".handle"),
                n = e.querySelector(".cmp-img");
            setImgWidth(e),
                t &&
                    n &&
                    (initImgCmp(t, n, e),
                    (n = getParentTab(e)) &&
                        n.addEventListener("active", function () {
                            setImgWidth(e);
                        }));
        });
    }),
    (window.onresize = function () {
        document.querySelectorAll(".cmp-slider").forEach(setImgWidth);
    }),
    document.querySelectorAll(".launch-intercom a, a.launch-intercom").forEach(function (e) {
        e.addEventListener("click", contactUs);
    }),
    document.querySelector("#pricing-slider") &&
        document.querySelector("#pricing-slider").addEventListener("click", function (e) {
            e.target.classList.contains("launch-intercom") && contactUs(e);
        }),
    document.getElementById("legal") &&
        (legalTabsHashSupport(!0),
        (window.onhashchange = function () {
            scrollToTop(500), legalTabsHashSupport();
        }));
var steps,
    tiers,
    navToggle = document.getElementById("nav-toggle"),
    linksWithSubMenu = document.querySelectorAll("nav .has-submenu > a");
function toggleFixedClass() {
    0 < window.scrollY ? document.querySelector("nav").classList.add("scrolled") : document.querySelector("nav").classList.remove("scrolled");
}
function onPricingRangeChange() {
    var e = document.getElementById("pricing-range"),
        t = parseInt(e.value),
        n = parseInt(e.min),
        o = parseInt(e.max),
        i = document.querySelectorAll("#tiers li"),
        a = document.getElementById("price"),
        c = document.getElementById("dau"),
        r = document.getElementById("cost-details"),
        e = document.getElementById("price-subtitle");
    (c.style.left = t * getPosAdjust() + "%"),
        i.forEach(function (e) {
            e.classList.remove("highlighted");
        }),
        a.classList.remove("clickable"),
        a.classList.remove("launch-intercom"),
        t === n
            ? ((r.style.display = ""), (e.style.display = ""), i.item(0).classList.add("highlighted"), (a.innerText = "$0"), (c.innerText = i.item(0).innerText))
            : t === o
            ? ((r.style.display = "none"),
              (e.style.display = "none"),
              i.forEach(function (e) {
                  e.classList.add("highlighted");
              }),
              (a.innerText = "Contact Us"),
              a.classList.add("clickable"),
              a.classList.add("launch-intercom"),
              (c.innerText = i.item(i.length - 1).innerText))
            : ((r.style.display = ""), (e.style.display = ""), (a.innerText = "$" + calculatePrice(i, t)));
}
function calculatePrice(n, o) {
    var e,
        t,
        i,
        a = 0,
        c = 0;
    return (
        0 !== o &&
            (tiers.forEach(function (e, t) {
                o > e.maxSteps && ((a = t), n.item(a).classList.add("highlighted"), e.pricePerMonth ? (c += e.pricePerMonth) : e.pricePerDAU && (c += (e.dau - tiers[t - 1].dau) * e.pricePerDAU));
            }),
            (e = tiers[++a]),
            (i = tiers[a - 1]),
            (t = (e.dau - i.dau) / e.steps),
            (t = number2K((t = (o - i.maxSteps) * t), i.dau < 1e4 ? 1 : 0)),
            (i = (i.dau < 1e3 ? i.dau / 1e3 : number2K(i.dau)) + t),
            e.maxSteps === o && (n.item(a).classList.add("highlighted"), (i = number2K(e.dau))),
            (document.getElementById("dau").innerText = i + "K"),
            e.pricePerMonth ? (c += e.pricePerMonth) : e.pricePerDAU && (c += 1e3 * t * e.pricePerDAU)),
        Math.round(c)
    );
}
function number2K(e, t) {
    var n = Math.round(e / 1e3);
    return n < 10 ? parseFloat((e / 1e3).toFixed(t || 0)) : n;
}
function populateTooltip() {
    var i = document.querySelector("#cost-details .tooltip table"),
        a = [],
        c = 0;
    tiers.forEach(function (e, t) {
        var n = [];
        if (0 === t) n.push("First " + e.dau.toLocaleString()), e.pricePerDAU ? n.push("$" + e.pricePerDAU.toLocaleString() + " per DAU") : e.pricePerMonth ? n.push("$" + e.pricePerMonth.toLocaleString()) : n.push("Free");
        else {
            var o = tiers[t - 1];
            if (((c += e.dau - o.dau), e.pricePerDAU && t + 1 < tiers.length && tiers[t + 1].pricePerDAU && e.pricePerDAU === tiers[t + 1].pricePerDAU)) return !1;
            t = e.dau - o.dau;
            e.pricePerDAU
                ? (e.pricePerDAU === o.pricePerDAU && ((t = c), (c = 0)), n.push("Next " + t.toLocaleString()), n.push("$" + e.pricePerDAU.toLocaleString() + " per DAU"))
                : ((c = 0), n.push("Next " + t.toLocaleString()), e.pricePerMonth ? n.push("$" + e.pricePerMonth.toLocaleString()) : n.push("Free"));
        }
        a.push(n);
    }),
        a.forEach(function (e) {
            var t = document.createElement("tr"),
                n = document.createElement("td"),
                o = document.createElement("td");
            (n.innerText = e[0]), (o.innerText = e[1]), t.appendChild(n), t.appendChild(o), i.append(t);
        });
}
function getPosAdjust() {
    var e = document.body.clientWidth;
    return e <= 350 ? 0.88 : e <= 440 ? 0.92 : e <= 650 ? 0.94 : e <= 768 ? 0.95 : e < 1024 ? 0.96 : e <= 1250 ? 0.94 : 0.95;
}
navToggle &&
    navToggle.addEventListener("click", function (e) {
        e.preventDefault(), document.getElementsByTagName("nav").length && document.getElementsByTagName("nav")[0].classList.toggle("expanded");
    }),
    linksWithSubMenu.length &&
        linksWithSubMenu.forEach(function (e) {
            e.addEventListener("click", function (e) {
                e.preventDefault();
            });
        }),
    (document.onreadystatechange = toggleFixedClass),
    (document.onscroll = toggleFixedClass),
    document.querySelector("#pricing-range") &&
        (document.querySelector("#pricing-range").addEventListener("input", onPricingRangeChange),
        (steps = 0),
        (tiers = []),
        document.querySelectorAll("#tiers li").forEach(function (e) {
            var t = parseInt(e.innerText),
                n = parseInt(e.dataset.steps);
            (steps += n),
                tiers.push({ dau: t, steps: n, maxSteps: steps, pricePerMonth: parseInt(e.dataset.priceMonth) || 0, pricePerDAU: parseFloat(e.dataset.priceDau) || 0 }),
                (e.innerText = t < 1e3 ? t : number2K(t) + "K"),
                (e.style.left = steps + "%");
        }),
        document.querySelectorAll("#pricing-slider #cost-details a").forEach(function (e) {
            e.addEventListener("click", function (e) {
                e.preventDefault();
            });
        }),
        populateTooltip(),
        onPricingRangeChange());
var navHeight,
    target,
    duration,
    targetY,
    diff,
    scrollStep,
    scrollInterval,
    styles = document.querySelector('div[class^="_form_"] style');
styles && styles.remove(),
    location.hash &&
        document.getElementById(location.hash.substr(1)) &&
        ((navHeight = document.querySelector("nav").clientHeight),
        (target = document.getElementById(location.hash.substr(1))) &&
            ((targetY = target.offsetTop - navHeight),
            (diff = targetY - window.scrollY),
            (scrollStep = diff / ((duration = 500) / 15)),
            (scrollInterval = setInterval(function () {
                5 < (diff = targetY - window.scrollY) ? window.scrollBy(0, scrollStep) : clearInterval(scrollInterval);
            }, 15))));
var eventMethod = window.addEventListener ? "addEventListener" : "attachEvent",
    eventer = window[eventMethod],
    messageEvent = "attachEvent" === eventMethod ? "onmessage" : "message";
function tabBtnClicked(e) {
    e.preventDefault();
    for (var t = this.classList.contains("active"), n = document.body.clientWidth < 1024, o = this; !o.classList.contains("tabs-container"); ) if (!(o = o.parentNode)) return null;
    if (
        ((t && !n) ||
            o.querySelectorAll(":scope > .tab, :scope > .tab-btn, :scope > ul > .tab-btn").forEach(function (e) {
                e.classList.remove("active");
            }),
        !t)
    ) {
        var i = this.hash || (this.querySelector("a") && this.querySelector("a").hash);
        if (o.classList.contains("code-container")) {
            for (var a = o.parentNode; !a.classList.contains("tabs-container"); ) if (!(a = a.parentNode)) return null;
            a &&
                a.querySelectorAll(".code-container").forEach(function (e) {
                    var t = i.split("-").pop();
                    e.querySelectorAll(".tab-btn, .tab").forEach(function (e) {
                        e.classList.remove("active");
                    }),
                        e.querySelector(".tab-btn a[href$=" + t + "]").parentNode.classList.add("active"),
                        e.querySelector(".tab[id$=" + t + "]").classList.add("active");
                });
        } else {
            var c,
                r,
                s,
                e = document.getElementById(i.substr(1));
            e.classList.add("active"),
                e.dispatchEvent(new window.CustomEvent("active")),
                this.classList.add("active"),
                n &&
                    ((t = this.clientHeight),
                    (n = document.querySelector("nav").getBoundingClientRect().bottom),
                    (c = e.getBoundingClientRect().top - t - n - 20),
                    (r = c / 20),
                    (s = setInterval(function () {
                        1 < Math.abs(c) ? (window.scrollBy(0, r), (c -= r)) : clearInterval(s);
                    }, 25)));
        }
    }
}
function onReady(e) {
    (document.attachEvent && "complete" === document.readyState) || "loading" !== document.readyState ? e() : document.addEventListener("DOMContentLoaded", e);
}
function onVideoLinkClicked(e) {
    e.preventDefault();
    var t = document.createElement("div"),
        n = document.createElement("div"),
        o = document.createElement("button"),
        i = document.createElement("iframe"),
        e = document.createElement("p");
    (t.id = "backdrop"),
        (n.id = "modal"),
        (o.id = "close-btn"),
        (i.id = "video-iframe"),
        (e.id = "loading-msg"),
        (i.width = "100%"),
        (i.src = "https://www.youtube-nocookie.com/embed/" + this.dataset.videoId + "?autoplay=1&rel=0"),
        (i.frameBorder = 0),
        (i.allow = "autoplay; encrypted-media"),
        (i.allowFullscreen = !0),
        (e.textContent = "Loading the video..."),
        (o.innerHTML = '<i class="gs-close">'),
        n.appendChild(i),
        n.appendChild(o),
        n.appendChild(e),
        t.appendChild(n),
        document.body.appendChild(t),
        setIframeHeight(),
        window.addEventListener("resize", setIframeHeight),
        t.addEventListener("click", function () {
            (this.id && this.id === i.id) || closeModal();
        }),
        document.addEventListener("keyup", function (e) {
            27 === e.keyCode && closeModal();
        });
}
function closeModal() {
    var e = document.getElementById("backdrop");
    e && e.parentNode.removeChild(e), window.removeEventListener("resize", setIframeHeight);
}
function setIframeHeight() {
    var e = document.getElementById("modal");
    document.getElementById("video-iframe").height = 0.562714777 * e.clientWidth + "px";
}
eventer(messageEvent, function (e) {
    ("stickybarIsVisible" !== e.data && "stickybarIsVisible" !== e.message) ||
        (document.getElementsByTagName("nav").length &&
            setTimeout(function () {
                var e = document.getElementsByTagName("nav")[0],
                    t = document.querySelector(".ub-emb-bar-frame") ? document.querySelector(".ub-emb-bar-frame").clientHeight : 0;
                (e.style.top = t + "px"),
                    document.querySelector(".ub-emb-close") &&
                        document.querySelector(".ub-emb-close").addEventListener("click", function () {
                            e.style.top = "0";
                        });
            }, 20));
}),
    document.querySelectorAll(".tab-btn").forEach(function (e) {
        e.addEventListener("click", tabBtnClicked);
    }),
    onReady(function () {
        var e,
            t = ["Where did you go?", "Come back, please!"],
            n = ["https://d1j8pt39hxlh3d.cloudfront.net/emoji/emojione/4.5/png/32/1f928.png", "https://d1j8pt39hxlh3d.cloudfront.net/emoji/emojione/3.0/png/32/1f64f.png"],
            o = 0,
            i = document.title,
            a = document.querySelector('link[rel="shortcut icon"]'),
            c = a ? a.href : "",
            r = 2 * t.length;
        function s() {
            clearInterval(e), (document.title = i), (a.href = c);
        }
        ("blog.getsocial.im" !== window.location.host && !window.location.pathname.startsWith("/new-blog")) ||
            ((window.onblur = function () {
                e = setInterval(function () {
                    var e = o % t.length;
                    (document.title = t[e]), (a.href = n[e]), r < ++o && s();
                }, 2e3);
            }),
            (window.onfocus = s));
    }),
    document.querySelectorAll("#video-link, .video-link").forEach(function (e) {
        e.addEventListener("click", onVideoLinkClicked);
    });
