(function ($) {
  "use strict";
  var GluedInSDKObject = window.GluedIn;
  var GluedInSDKInitilizeObj = new GluedInSDKObject.GluedInSDKInitilize();
  var GluedInSDKAuthObj = new GluedInSDKObject.GluedInAuthModule();
  var currentVideosList = [];
  var limit = 10;
  var offset = 1;
  var totalPages = 0;
  var pageNo = 1;
  $(document).ready(function () {
    $(".screen-loader").show();

    window.getChallengeDetails = async function () {
      var hashTagModuleObj = new GluedIn.GluedInHashTag();
      let selectedChallengeInfo = localStorage.getItem("selectedChallengeInfo");
      if (
        selectedChallengeInfo &&
        selectedChallengeInfo != undefined &&
        selectedChallengeInfo != null
      ) {
        var challengeDetails = JSON.parse(selectedChallengeInfo);
        var challengeInfo = challengeDetails.challenge;
        $("#displayName").html(challengeInfo.title);
        $("#userDescription").html(challengeDetails.description);
        $(".profileImage").attr("src", challengeInfo.image);
        $(".profile-page-head").show();
        var videoContentHtml = "";
        currentVideosList = challengeInfo.videos;
        currentVideosList.forEach(function (videoInfo) {
          let thumbnailUrls = videoInfo.thumbnailUrls
            ? videoInfo.thumbnailUrls[0]
            : "";
          videoContentHtml +=
            '<div class="col-md-3 col-sm-3 col-xs-6 box text-center"><div class="img-box open-video-detail" id="' +
            videoInfo.videoId +
            '" style="background: url(' +
            thumbnailUrls +
            ') center; background-size: cover; max-height: 227px; height: 227px; border-radius:9px;"><span class="av-icon"><img src="assets/images/folder-icon.svg"></span></div></div>';
        });

        $(".userVideoData").html(videoContentHtml);
        $("#tabs-content").show();
      } else {
        window.location.href = "https://gluedin.io/web-app//discover.html";
      }
    };

    getChallengeDetails();

    $(document).on("click", ".open-video-detail", function () {
      let videoId = $(this).attr("id");
      localStorage.setItem("selectedVideo", videoId);
      localStorage.setItem("contentType", "profile");
      localStorage.setItem("videoList", JSON.stringify(currentVideosList));
      window.location.href = "https://gluedin.io/web-app//feed-detail.html";
    });
  });
})(jQuery);
