(function ($) {
  "use strict";
  var GluedInSDKObject = window.GluedIn;
  var GluedInSDKInitilizeObj = new GluedInSDKObject.GluedInSDKInitilize();
  var GluedInSDKAuthObj = new GluedInSDKObject.GluedInAuthModule();
  var currentVideosList = [];
  var limit = 10;
  var offset = 1;
  var totalPages = 0;
  var pageNo = 1;
  $(document).ready(function () {
    $(".screen-loader").show();

    window.getProfileDetails = async function () {
      var hashTagModuleObj = new GluedIn.GluedInHashTag();
      let selectedhashTagName = localStorage.getItem("selectedhashTagName");

      var hashTagResponse = await hashTagModuleObj.getHashTagDetails({
        limit: limit,
        offset: offset,
        name: selectedhashTagName,
      });
      $(".screen-loader").hide();
      if (hashTagResponse.status == 200) {
        let hashtagInfo = hashTagResponse.data.data;
        $("#displayName").html(hashtagInfo.hashtag.title);
        /*$("#userId").html(hashtagInfo.userName);
			$("#followerCount").html(hashtagInfo.followersCount);
			$("#followingCount").html(hashtagInfo.followingCount);
			$("#videoCount").html(hashtagInfo.videoCount);*/
        $("#userDescription").html(hashtagInfo.hashtag.description);
        $(".profileImage").attr("src", hashtagInfo.hashtag.image);
        $(".profile-page-head").show();
        var videoContentHtml = "";
        currentVideosList = hashTagResponse.data.data.videos;
        currentVideosList.forEach(function (videoInfo) {
          let thumbnailUrls = videoInfo.thumbnailUrls
            ? videoInfo.thumbnailUrls[0]
            : "";
          videoContentHtml +=
            '<div class="col-md-3 col-sm-3 col-xs-6 box text-center"><div class="img-box open-video-detail" id="' +
            videoInfo.videoId +
            '" style="background: url(' +
            thumbnailUrls +
            ') center; background-size: cover; max-height: 227px; height: 227px; border-radius:9px;"><span class="av-icon"><img src="assets/images/folder-icon.svg"></span></div></div>';
        });

        $(".userVideoData").html(videoContentHtml);
        $("#tabs-content").show();
      } else {
        if (hashTagResponse.status == 401) {
          localStorage.clear();
          sessionStorage.clear();
          window.location.href = "https://gluedin.io/web-app//sign-in.html";
        }
      }
    };

    /*window.getUserVideosList = async function () {
		
		var hashTagModuleObj = new GluedIn.GluedInHashTag;	
		let selectedhashTagName = localStorage.getItem("selectedhashTagName");
		
		var hashTagResponse = await hashTagModuleObj.getHashTagDetails({limit: limit, offset: offset, hashtagName: selectedhashTagName});
		debugger;
		if(userVideoModuleResponse.status == 200) {
			var videoContentHtml = '';
			currentVideosList = userVideoModuleResponse.data.data;
			userVideoModuleResponse.data.data.forEach(function(videoInfo) {
				let thumbnailUrls = videoInfo.thumbnailUrls ? videoInfo.thumbnailUrls[0] : "";
				videoContentHtml += '<div class="col-md-3 col-sm-3 col-xs-6 box text-center"><div class="img-box open-video-detail" id="'+videoInfo.videoId+'" style="background: url('+thumbnailUrls+') center; background-size: cover; max-height: 227px; height: 227px; border-radius:9px;"><span class="av-icon"><img src="assets/images/folder-icon.svg"></span></div></div>';
			});

			$(".userVideoData").html(videoContentHtml);		
			$("#tabs-content").show();
		}
		else{
			if(userVideoModuleResponse.status == 401) {
				localStorage.clear();
	    			sessionStorage.clear();
				window.location.href = "https://gluedin.io/web-app//sign-in.html";
			}
			
		}
	}
*/

    getProfileDetails();

    $(document).on("click", ".open-video-detail", function () {
      let videoId = $(this).attr("id");
      localStorage.setItem("selectedVideo", videoId);
      localStorage.setItem("contentType", "profile");
      localStorage.setItem("videoList", JSON.stringify(currentVideosList));
      window.location.href = "https://gluedin.io/web-app//feed-detail.html";
    });
  });
})(jQuery);
