(function ($) {
  ("use strict");
  var GluedInSDKObject = window.GluedIn;
  var GluedInSDKInitilizeObj = new GluedInSDKObject.GluedInSDKInitilize();
  var GluedInSDKAuthObj = new GluedInSDKObject.GluedInAuthModule();
  var currentVideosList = [];
  var reportReasonContent = { user: [] };
  $(document).ready(function () {
    /*var guestToken = GluedInSDKAuthObj.getGuestToken();
  if(guestToken == "" || guestToken == undefined) {
    var sdkInitilizeData = GluedInSDKInitilizeObj.setupSDK({
      apiKey: "190b48a3-d684-46b7-93fd-a0f46433b8df",
        secretKey: "dad52101-ecce-4dc5-b014-aa656a8fc1a4"
      });
      console.log(JSON.stringify(sdkInitilizeData));
      console.log("Test");
  }*/
    $(".screen-loader").show();

    window.getProfileDetails = async function () {
      var userModuleObj = new GluedIn.GluedInUserModule();
      let userBasicInfo = localStorage.getItem("userData");
      let userId = "";
      let isSelfProfile = true;
      if (userBasicInfo && userBasicInfo != undefined) {
        userBasicInfo = JSON.parse(userBasicInfo);
        userId = userBasicInfo.userId;
      }

      let locationInfo = window.location.pathname.split("/");
      if (locationInfo.length > 2) {
        userId = locationInfo[locationInfo.length - 1];
        isSelfProfile = false;
      }

      $(".follow-profile").attr("id", userId);

      var userModuleResponse = await userModuleObj.getUserDetails(userId);
      let followingList = localStorage.getItem("following");
      $(".screen-loader").hide();
      if (userModuleResponse.status == 200) {
        let userInfo = userModuleResponse.data.data;
        $("#displayName").html(userInfo.fullName);
        $("#userId").html(userInfo.userName);
        $("#followerCount").html(userInfo.followersCount);
        $("#followingCount").html(userInfo.followingCount);
        $("#videoCount").html(userInfo.videoCount);
        $("#userDescription").html(userInfo.description);
        $(".profileImage").attr("src", userInfo.profileImageUrl);
        if (
          followingList != undefined &&
          followingList != null &&
          followingList != "undefined"
        ) {
          followingList = JSON.parse(followingList);
          if (followingList.indexOf(userId) > -1) {
            $(".follow-profile").text("Unfollow");
          }
        }
        if (isSelfProfile) {
          $(".profile-panel-form")
            .find("input[name=name]")
            .val(userInfo.fullName);
          $(".profile-panel-form")
            .find("input[name=username]")
            .val(userInfo.userName);
          $(".profile-panel-form")
            .find("textarea[name=userDescription]")
            .val(userInfo.description);
          $(".displaymessage").remove();
          $(".profile-panel-form")
            .find("input[name=profileImageUrl]")
            .val(userInfo.profileImageUrl);
          $(".report-user-button").hide();
          $(".profile-follow").hide();
        } else {
          $(".profile-page-header").hide();
          $(".res-edit").hide();
          $("#editIcon").hide();
          $(".report-user-button").show();
          $(".profile-follow").show();
        }
        $(".profile-page-head").show();
      } else {
        if (userModuleResponse.status == 401) {
          localStorage.clear();
          sessionStorage.clear();
          window.location.href = "https://gluedin.io/web-app//sign-in.html";
        }
      }
    };

    window.getUserVideosList = async function () {
      var userModuleObj = new GluedIn.GluedInUserModule();
      let userBasicInfo = localStorage.getItem("userData");
      let userId = "";
      if (userBasicInfo && userBasicInfo != undefined) {
        userBasicInfo = JSON.parse(userBasicInfo);
        userId = userBasicInfo.userId;
      }
      let locationInfo = window.location.pathname.split("/");
      if (locationInfo.length > 2) {
        userId = locationInfo[locationInfo.length - 1];
        $("#editIcon").hide();
      }

      var userVideoModuleResponse = await userModuleObj.getUserVideoList({
        userId: userId,
      });
      $(".screen-loader").hide();
      if (userVideoModuleResponse.status == 200) {
        var videoContentHtml = "";
        currentVideosList = userVideoModuleResponse.data.data;
        userVideoModuleResponse.data.data.forEach(function (videoInfo) {
          let thumbnailUrls = videoInfo.thumbnailUrls
            ? videoInfo.thumbnailUrls[0]
            : videoInfo.thumbnailUrl;
          videoContentHtml +=
            '<div class="col-md-3 col-sm-3 col-xs-6 box text-center"><div class="img-box open-video-detail" id="' +
            videoInfo.videoId +
            '" style="background: url(' +
            thumbnailUrls +
            ') center; background-size: cover; max-height: 227px; height: 227px; border-radius:9px;"><span class="av-icon"><img src="https://gluedin.io/web-app//assets/images/folder-icon.svg"></span></div></div>';
        });

        $(".userVideoData").html(videoContentHtml);
        $("#tabs-content").show();
      } else {
        if (userVideoModuleResponse.status == 401) {
          localStorage.clear();
          sessionStorage.clear();
          window.location.href = "https://gluedin.io/web-app//sign-in.html";
        }
      }
    };

    window.updateProfile = async function (formData) {
      var userModuleObj = new GluedIn.GluedInUserModule();
      $(".update-profile-info").addClass("disabled");

      var userModuleResponse = await userModuleObj.editUserProfile(formData);
      $(".update-profile-info").removeClass("disabled");
      if (userModuleResponse.status == 200) {
        $(
          '<div class="alert alert-success success-alert displaymessage" role="alert">  ' +
            userModuleResponse.data.message +
            "</div>"
        ).insertBefore(".first-input-box");
        getProfileDetails();
        //alert(userModuleResponse.data.message);
      } else {
        $(
          '<div class="alert alert-danger error-alert displaymessage" role="alert">  ' +
            userModuleResponse.data.message +
            "</div>"
        ).insertBefore(".first-input-box");
        //alert(userModuleResponse.data.message);
      }
    };

    window.updatePassword = async function (formData) {
      var userModuleObj = new GluedIn.GluedInUserModule();
      $(".update-profile-info").addClass("disabled");

      var userModuleResponse = await userModuleObj.changePassword(formData);
      $(".update-profile-info").removeClass("disabled");
      if (userModuleResponse.status == 200) {
        $(
          '<div class="alert alert-success success-alert displaymessage" role="alert">  ' +
            userModuleResponse.data.message +
            "</div>"
        ).insertBefore(".change-password-section .first-input-box");

        //alert(userModuleResponse.data.message);
      } else {
        $(
          '<div class="alert alert-danger error-alert displaymessage" role="alert">  ' +
            userModuleResponse.data.message +
            "</div>"
        ).insertBefore(".change-password-section .first-input-box");
        //alert(userModuleResponse.data.message);
      }
    };

    getProfileDetails();
    getUserVideosList();

    $(document).on("click", ".open-video-detail", function () {
      let videoId = $(this).attr("id");
      localStorage.setItem("selectedVideo", videoId);
      localStorage.setItem("contentType", "profile");
      localStorage.setItem("videoList", JSON.stringify(currentVideosList));
      window.location.href = "https://gluedin.io/web-app//feed-detail.html";
    });

    $(document).on("click", ".update-profile-info", function () {
      var obj = $(this).closest(".profile-panel-form");
      let formData = {
        fullName: $(obj).find("input[name=name]").val(),
        userName: $(obj).find("input[name=username]").val(),
        description: $(obj).find("textarea[name=userDescription]").val(),
        profileImageUrl: $(obj).find("input[name=profileImageUrl]").val(),
      };
      updateProfile(formData);
    });

    $(document).on("click", ".update-password", function () {
      var obj = $(this).closest(".profile-panel-form");
      if (
        $(obj).find("input[name=npassword]").val() !=
        $(obj).find("textarea[name=cpassowrd]").val()
      ) {
        $(
          '<div class="alert alert-danger error-alert displaymessage" role="alert">  New password and confirm password does not match</div>'
        ).insertBefore(".change-password-section .first-input-box");
        return;
      }
      let formData = {
        oldPassword: $(obj).find("input[name=opassword]").val(),
        newPassword: $(obj).find("input[name=npassword]").val(),
        cpassowrd: $(obj).find("textarea[name=cpassowrd]").val(),
      };
      updatePassword(formData);
    });

    $(document).on("click", ".upload-profile-image", function () {
      $("input[name=profileImage").trigger("click");
    });

    $(document).on("click", ".user-sign-out", function () {
      localStorage.clear();
      window.location.href = "https://gluedin.io/web-app//sign-in.html";
    });

    $(document).on("change", ".uploadProfileImage", async function () {
      let toBase64String = await toBase64(this.files[0]);
      var userModuleObj = new GluedIn.GluedInUserModule();
      $(".uploadProfileImage").addClass("disabled");
      var userModuleResponse = await userModuleObj.editUserProfileImage({
        baseString64: toBase64String,
      });
      $(".uploadProfileImage").removeClass("disabled");
      if (
        userModuleResponse.status == 200 ||
        userModuleResponse.status == 201
      ) {
        $(".profile-panel-form")
          .find("input[name=profileImageUrl]")
          .val(userModuleResponse.data.data.imageUrl);
        $(".profileImage").attr("src", userModuleResponse.data.data.imageUrl);
      } else {
      }
    });

    window.getReportReason = async function () {
      const feedModuleObj = new GluedIn.GluedInFeedModule();
      const reportReasonResponse = await feedModuleObj.ReportReason();
      if (reportReasonResponse.status == 200 || reportReasonResponse == 201) {
        reportReasonContent = reportReasonResponse.data.data;
      }
    };

    getReportReason();

    window.reportUser = async function (e) {
      e.preventDefault();
      const feedModuleObj = new GluedIn.GluedInFeedModule();
      let userBasicInfo = localStorage.getItem("userData");
      userBasicInfo = JSON.parse(userBasicInfo);
      let locationInfo = window.location.pathname.split("/");
      let userId = "";
      if (locationInfo.length > 2) {
        userId = locationInfo[locationInfo.length - 1];
      }
      let reason = "";
      reason = $("input[name=report_option]:checked").val();
      const reportPost = {
        userId: userId,
        actingUserId: userBasicInfo.userId,
        reason: reason,
        event: "report",
        type: "user",
      };

      const feedModuleResponse = await feedModuleObj.Report(reportPost);

      if (
        feedModuleResponse.status === 200 ||
        feedModuleResponse.status === 201
      ) {
        $("#reportUserModel").modal("hide");
      }
    };

    // report users
    $(document).on("click", "#report-user", function () {
      let accessToken = GluedInSDKAuthObj.getAccessToken();
      if (
        accessToken == "" ||
        accessToken == undefined ||
        accessToken == null
      ) {
        $("#signupmodel").modal("show");
        return;
      }
      var actionType = $(this).attr("data-action");
      var reportReasonInfo = reportReasonContent[actionType];
      var reasonHtml = "";
      reportReasonInfo.forEach(function (value) {
        reasonHtml +=
          '<div class="radio-inputfield"><label for="' +
          value.replace(" ", "_") +
          '">' +
          value +
          '</label><input  type="radio"  id="' +
          value.replace(" ", "_") +
          '"  name="report_option"  value="' +
          value +
          '"/><br /></div>';
      });
      if (reasonHtml != "") $("#report-user-content").html(reasonHtml);
      $("#reportUserModel").modal("show");
    });

    $(document).on("click", ".cancel-btn", function () {
      $("#reportUserModel").modal("hide");
    });

    // follow profile
    $(document).on("click", ".follow-profile", async function (ele) {
      let accessToken = GluedInSDKAuthObj.getAccessToken();
      if (
        accessToken == "" ||
        accessToken == undefined ||
        accessToken == null
      ) {
        $("#signupmodel").modal("show");
        return;
      }
      const userId = $(ele.target).prop("id");
      var userModuleObj = new GluedIn.GluedInUserModule();
      var formData = {
        followingId: userId,
        isFollow: ele.target.innerHTML === "Follow" ? true : false,
      };
      var userModuleResponse = await userModuleObj.followUser(formData);
      if (
        userModuleResponse.status === 201 ||
        userModuleResponse.status === 200
      ) {
        let followingList = localStorage.getItem("following");
        if (ele.target.innerHTML === "Follow") {
          if (
            followingList != undefined &&
            followingList != null &&
            followingList != "undefined"
          ) {
            followingList = JSON.parse(followingList);
            followingList.push(userId);
            localStorage.setItem("following", JSON.stringify(followingList));
          }
          $(ele.target).html("Unfollow");
        } else {
          if (
            followingList != undefined &&
            followingList != null &&
            followingList != "undefined"
          ) {
            followingList = JSON.parse(followingList);

            followingList.splice(followingList.indexOf(userId), 1);

            localStorage.setItem("following", JSON.stringify(followingList));
          }
          $(ele.target).html("Follow");
        }
      }
    });

    const toBase64 = (file) =>
      new Promise((resolve, reject) => {
        const reader = new FileReader();
        reader.readAsDataURL(file);
        reader.onload = () => resolve(reader.result);
        reader.onerror = (error) => reject(error);
      });
  });

  $("#tabs-nav li:first-child").addClass("active");
  $(".tab-content").hide();
  $(".tab-content:first").show();

  // Click function
  $("#tabs-nav li").click(function () {
    $("#tabs-nav li").removeClass("active");
    $(this).addClass("active");
    $(".tab-content").hide();

    var activeTab = $(this).find("a").attr("href");
    $(activeTab).fadeIn();
    return false;
  });
  $(
    ".profile-page-header-dropdown .drop-menu li a.edit-profile, img.edit-profile"
  ).click(function () {
    $(".edit-profile-section").addClass("open");
    $(".side-fixed-panel .overlay").addClass("open");
  });
  $(".drop-menu li a.change-password").click(function () {
    $(".change-password-section").addClass("open");
    $(".side-fixed-panel .overlay").addClass("open");
  });
  $(".profile-page-header-dropdown .drop-menu li a.account-setting").click(
    function () {
      $(".side-fixed-panel .overlay").addClass("open");
      $(".account-setting").addClass("open");
    }
  );
  $(".drop-menu li a.delete-account").click(function () {
    $(".delete-account-section").addClass("open");
    $(".side-fixed-panel .overlay").addClass("open");
  });

  $(".popup-close, .side-fixed-panel .overlay").click(function () {
    $(".edit-profile-section").removeClass("open");
    $(".change-password-section").removeClass("open");
    $(".side-fixed-panel .overlay").removeClass("open");
    $(".account-setting").removeClass("open");
    $(".delete-account-section").removeClass("open");
  });

  $(".res-edit").click(function () {
    $(".edit-profile-section").addClass("open");
    $(".side-fixed-panel .overlay").addClass("open");
  });

  // setting account back button
  $(".act-stng-bckbtn").click(function () {
    $(".change-password-section").removeClass("open");
    $(".delete-account-section").removeClass("open");
    $(".account-setting").addClass("open");
  });

  // close delete account popup
  $(".delete-account-btn").click(async function (event) {
    event.preventDefault();
    var email = JSON.parse(localStorage.getItem("userData")).email;
    var authLoginInput = new window.GluedIn.GluedInAuthModule();
    let signInRawData = {
      email: email,
      password: $("#password").val(),
      deviceId: "23424dsffsf",
      deviceType: "android",
    };
    if ($("#password").val() == "") {
      $(".password-error").css("display", "block");
      $("#password").css("border-color", "#ff0000");
    } else {
      var userSignIpResponse = await authLoginInput.AuthRawData(signInRawData);
      var passwordSuccess = userSignIpResponse.data.success;
      if (passwordSuccess) {
        $("#delete-account-alert").modal("show");
        $(".side-fixed-panel-inner.open").css("z-index", "0");
      } else {
        $(".password-incorrect").css("display", "block");
      }
    }
  });

  $("#password").keyup(function () {
    $(".password-error").css("display", "none");
    $("#password").css("border-color", "#adbacf");
  });

  // alert sure button
  $(".sure-btn").click(async function (event) {
    $("#delete-account-alert").modal("hide");
    $(".side-fixed-panel-inner.open").css("z-index", "10000");
    var userModuleObj = new GluedIn.GluedInUserModule();
    var deleteProfile = await userModuleObj.deleteUserProfile();
    if (deleteProfile.status == 200) {
      localStorage.clear();
      sessionStorage.clear();
      window.location.href = "https://gluedin.io/web-app//sign-in.html";
    }
  });

  // cancel btn
  $(".cancel-btn").click(function (event) {
    $("#delete-account-alert").modal("hide");
    $(".side-fixed-panel-inner.open").css("z-index", "10000");
  });
})(jQuery);
